/********************************************************
 *  ██████╗  ██████╗████████╗██╗
 * ██╔════╝ ██╔════╝╚══██╔══╝██║
 * ██║  ███╗██║        ██║   ██║
 * ██║   ██║██║        ██║   ██║
 * ╚██████╔╝╚██████╗   ██║   ███████╗
 *  ╚═════╝  ╚═════╝   ╚═╝   ╚══════╝
 * Geophysical Computational Tools & Library (GCTL)
 *
 * Copyright (c) 2023  Yi Zhang (yizhang-geo@zju.edu.cn)
 *
 * GCTL is distributed under a dual licensing scheme. You can redistribute 
 * it and/or modify it under the terms of the GNU Lesser General Public 
 * License as published by the Free Software Foundation, either version 2 
 * of the License, or (at your option) any later version. You should have 
 * received a copy of the GNU Lesser General Public License along with this 
 * program. If not, see <http://www.gnu.org/licenses/>.
 * 
 * If the terms and conditions of the LGPL v.2. would prevent you from using 
 * the GCTL, please consider the option to obtain a commercial license for a 
 * fee. These licenses are offered by the GCTL's original author. As a rule, 
 * licenses are provided "as-is", unlimited in time for a one time fee. Please 
 * send corresponding requests to: yizhang-geo@zju.edu.cn. Please do not forget 
 * to include some description of your company and the realm of its activities. 
 * Also add information on how to contact you by electronic and paper mail.
 ******************************************************/

#ifndef _GCTL_MATH_H
#define _GCTL_MATH_H

#include "math/gmath.h"

#include "math/legendre.h"
#include "math/linear_algebra.h"

#include "math/heap_sort.h"
#include "math/boxsort2d.h"
#include "math/boxsort_sph.h"
#include "math/variogram.h"

#include "math/interpolate.h"
#include "math/extrapolate.h"

#include "math/gaussfunc.h"
#include "math/sinkhorn.h"
#include "math/kde.h"
#include "math/autodiff.h"
#include "math/multinary.h"
#include "math/emd.h"

#include "math/geometry2d.h"
#include "math/geometry3d.h"
#include "math/refellipsoid.h"

#include "math/mathfunc_ext.h"
#include "math/space_filter.h"

#include "math/windowfunc.h"
#include "math/fir_filter.h"

#include "math/fft.h"
#include "math/fft_filter.h"

#include "math/shapefunc.h"
#include "math/glni.h"

#endif // _GCTL_MATH_H