/********************************************************
 *  ██████╗  ██████╗████████╗██╗
 * ██╔════╝ ██╔════╝╚══██╔══╝██║
 * ██║  ███╗██║        ██║   ██║
 * ██║   ██║██║        ██║   ██║
 * ╚██████╔╝╚██████╗   ██║   ███████╗
 *  ╚═════╝  ╚═════╝   ╚═╝   ╚══════╝
 * Geophysical Computational Tools & Library (GCTL)
 *
 * Copyright (c) 2023  Yi Zhang (yizhang-geo@zju.edu.cn)
 *
 * GCTL is distributed under a dual licensing scheme. You can redistribute 
 * it and/or modify it under the terms of the GNU Lesser General Public 
 * License as published by the Free Software Foundation, either version 2 
 * of the License, or (at your option) any later version. You should have 
 * received a copy of the GNU Lesser General Public License along with this 
 * program. If not, see <http://www.gnu.org/licenses/>.
 * 
 * If the terms and conditions of the LGPL v.2. would prevent you from using 
 * the GCTL, please consider the option to obtain a commercial license for a 
 * fee. These licenses are offered by the GCTL's original author. As a rule, 
 * licenses are provided "as-is", unlimited in time for a one time fee. Please 
 * send corresponding requests to: yizhang-geo@zju.edu.cn. Please do not forget 
 * to include some description of your company and the realm of its activities. 
 * Also add information on how to contact you by electronic and paper mail.
 ******************************************************/

#ifndef _GCTL_POLY_H
#define _GCTL_POLY_H
 
#include "poly/point2c.h"
#include "poly/point2p.h"
#include "poly/point3c.h"
#include "poly/point3s.h"
#include "poly/vertex.h"
#include "poly/tensor.h"

#include "poly/entity.h"
#include "poly/node.h"
#include "poly/sphere.h"

#include "poly/triangle2d.h"
#include "poly/triangle2d2o.h"
#include "poly/rectangle2d.h"
#include "poly/edge2d.h"

#include "poly/block.h"
#include "poly/prism.h"
#include "poly/tesseroid.h"
#include "poly/tetrahedron.h"
#include "poly/tri_cone.h"
#include "poly/triangle.h"
#include "poly/edge.h"


#endif // _GCTL_POLY_H